Subject: Re: linux-next: build failure after merge of the battery tree

From: Sebastian Reichel <[email-masked]>
Date: Fri, 28 Jun 2019 17:31:46 +0200

Hi,

On Fri, Jun 28, 2019 at 02:03:04PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the battery tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/power/supply/wilco-charger.c: In function 'wilco_charge_get_property':
> drivers/power/supply/wilco-charger.c:104:8: error: implicit declaration of function 'wilco_ec_get_byte_property'; did you mean 'wilco_charge_get_property'? [-Werror=implicit-function-declaration]
>   ret = wilco_ec_get_byte_property(ec, property_id, &raw);
>         ^~~~~~~~~~~~~~~~~~~~~~~~~~
>         wilco_charge_get_property
> drivers/power/supply/wilco-charger.c: In function 'wilco_charge_set_property':
> drivers/power/supply/wilco-charger.c:130:10: error: implicit declaration of function 'wilco_ec_set_byte_property'; did you mean 'wilco_charge_set_property'? [-Werror=implicit-function-declaration]
>    return wilco_ec_set_byte_property(ec, PID_CHARGE_MODE, mode);
>           ^~~~~~~~~~~~~~~~~~~~~~~~~~
>           wilco_charge_set_property
> 
> Caused by commit
> 
>   0736343e4c56 ("power_supply: wilco_ec: Add charging config driver")
> 
> I have reverted that commit for today.

Oops, thanks for the hint. I did not notice this with ARM
allmodconfig. I dropped the patch for this cycle.

-- Sebastian